Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.etee.ra.csr._1_0.protocol
Class EHealthCertificateRequest

    java.lang.Object
      be.fgov.ehealth.etee.ra.csr._1_0.protocol.EHealthCertificateRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:56:49+01:00",
               comments="JAXB RI v2.2.11")
    public class EHealthCertificateRequest

extends Object
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ContactData" type="{urn:be:fgov:ehealth:etee:ra:csr:1_0:protocol}ContactDataType"/>
             <element name="AdditionalSearchCriterium" type="{urn:be:fgov:ehealth:etee:ra:csr:1_0:protocol}SearchCriteriumType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="Csr" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             <element name="Contract" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <sequence>
               <element name="UsagesType" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="UsageType" type="{urn:be:fgov:ehealth:etee:ra:csr:1_0:protocol}UsageType" maxOccurs="unbounded" minOccurs="0"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
             <element name="EHActorQualitiesSignedData" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`EHealthCertificateRequest()`

Method Summary
`List<SearchCriteriumType>` | `getAdditionalSearchCriteria()` Gets the value of the additionalSearchCriteria property.
`ContactDataType` | `getContactData()` Gets the value of the contactData property.
`String` | `getContract()` Gets the value of the contract property.
`byte[]` | `getCsr()` Gets the value of the csr property.
`byte[]` | `getEHActorQualitiesSignedData()` Gets the value of the ehActorQualitiesSignedData property.
`UsagesType` | `getUsagesType()` Gets the value of the usagesType property.
`void` | `setContactData(ContactDataType value)` Sets the value of the contactData property.
`void` | `setContract(String value)` Sets the value of the contract property.
`void` | `setCsr(byte[] value)` Sets the value of the csr property.
`void` | `setEHActorQualitiesSignedData(byte[] value)` Sets the value of the ehActorQualitiesSignedData property.
`void` | `setUsagesType(UsagesType value)` Sets the value of the usagesType property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EHealthCertificateRequest

    public EHealthCertificateRequest()

Method Detail

### getContactData

    public ContactDataType getContactData()

  Gets the value of the contactData property.

  Returns:
    possible object is `ContactDataType`

### setContactData

    public void setContactData(ContactDataType value)

  Sets the value of the contactData property.

  Parameters:
    `value` - allowed object is `ContactDataType`

### getAdditionalSearchCriteria

    public List<SearchCriteriumType> getAdditionalSearchCriteria()

  Gets the value of the additionalSearchCriteria property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the additionalSearchCriteria property.

  For example, to add a new item, do as follows:

          getAdditionalSearchCriteria().add(newItem);

  Objects of the following type(s) are allowed in the list `SearchCriteriumType`

### getCsr

    public byte[] getCsr()

  Gets the value of the csr property.

  Returns:
    possible object is byte[]

### setCsr

    public void setCsr(byte[] value)

  Sets the value of the csr property.

  Parameters:
    `value` - allowed object is byte[]

### getContract

    public String getContract()

  Gets the value of the contract property.

  Returns:
    possible object is `String`

### setContract

    public void setContract(String value)

  Sets the value of the contract property.

  Parameters:
    `value` - allowed object is `String`

### getUsagesType

    public UsagesType getUsagesType()

  Gets the value of the usagesType property.

  Returns:
    possible object is `UsagesType`

### setUsagesType

    public void setUsagesType(UsagesType value)

  Sets the value of the usagesType property.

  Parameters:
    `value` - allowed object is `UsagesType`

### getEHActorQualitiesSignedData

    public byte[] getEHActorQualitiesSignedData()

  Gets the value of the ehActorQualitiesSignedData property.

  Returns:
    possible object is byte[]

### setEHActorQualitiesSignedData

    public void setEHActorQualitiesSignedData(byte[] value)

  Sets the value of the ehActorQualitiesSignedData property.

  Parameters:
    `value` - allowed object is byte[]

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.